/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	教材とユニットログクラス
//			変更履歴
//				2004.01.08	新規作成	五木田泰史
//
package jp.co.ntt.lms.lo.SmartForce;

public class CourseUnitLogRecord
	implements java.io.Serializable
{
	// メンバ変数
	String mstrStudentID;													// 生徒ID
	String mstrCoursesID;													// 教材ID
	String mstrUserID;														// ログインID(ユーザー名)
	String mstrCoursesName;													// 教材名
	String mstrCompleteFlag;												// 学習終了フラグ
	String mstrPassFlag;													// 合否フラグ
	String mstrAccessCount;													// アクセス回数
	String mstrProgressRate;												// 進捗率
	String mstrTestCount;													// テスト回数
	String mstrAverageScore;												// 平均点
	String mstrHighestScore;												// 最高点
	String mstrUnitOrder;													// ユニットID(教材ごとに一意)
	String mstrUnitName;													// ユニット名
	String mstrUnitAccessCount;												// ユニットアクセス回数
	String mstrUnitProgress;												// ユニット進捗
	String mstrUnitTestCount;												// ユニットテスト回数
	String mstrUnitAverageScore;											// ユニット平均点
	String mstrUnitHighestScore;											// ユニット最高点
	String mstrUnitPassFlag;												// ユニット合否フラグ
	String mstrUnitCount;													// ユニット数
	
	/**
	 * コンストラクタ
	 **/
	public CourseUnitLogRecord()
	{
		;
	}
	
	/**
	 * 初期化処理
	 **/
	public void initialize()
	{
		mstrStudentID = "";
		mstrCoursesID = "";
		mstrUserID = "";
		mstrCoursesName = "";
		mstrCompleteFlag = "0";
		mstrAccessCount = "0";
		mstrPassFlag = "0";
		mstrProgressRate = "0";
		mstrTestCount = "0";
		mstrAverageScore = "0";
		mstrHighestScore = "0";
		mstrUnitOrder = "";
		mstrUnitName = "";
		mstrUnitAccessCount = "0";
		mstrUnitProgress = "0";
		mstrUnitTestCount = "0";
		mstrUnitAverageScore = "0";
		mstrUnitHighestScore = "0";
		mstrUnitPassFlag = "0";
	}
	
	/**
	 * 生徒ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setStudentID(String strStudentID)
	{
		mstrStudentID = strStudentID;
	}
	
	/**
	 * 生徒ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getStudentID()
	{
		return mstrStudentID;
	}
	
	/**
	 * 教材ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCoursesID(String strCourse)
	{
		mstrCoursesID = strCourse;
	}
	
	/**
	 * 教材ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCoursesID()
	{
		return mstrCoursesID;
	}
	
	/**
	 * ユーザーID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUserID(String strUserID)
	{
		mstrUserID = strUserID;
	}
	
	/**
	 * ユーザーID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUserID()
	{
		return mstrUserID;
	}
	
	/**
	 * 教材名設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCoursesName(String strCoursesName)
	{
		mstrCoursesName = strCoursesName;
	}
	
	/**
	 * 教材名取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCoursesName()
	{
		return mstrCoursesName;
	}
	
	/**
	 * 学習終了フラグ設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCompleteFlag(String strCompleteFlag)
	{
		mstrCompleteFlag = strCompleteFlag;
	}
	
	/**
	 * 学習終了フラグ取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCompleteFlag()
	{
		return mstrCompleteFlag;
	}
	
	/**
	 * アクセス回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setAccessCount(String strAccessCount)
	{
		mstrAccessCount = strAccessCount;
	}
	
	/**
	 * アクセス回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getAccessCount()
	{
		return mstrAccessCount;
	}
	
	/**
	 * 合否フラグ設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setPassFlag(String strPassFlag)
	{
		mstrPassFlag = strPassFlag;
	}
	
	/**
	 * 合否フラグ取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getPassFlag()
	{
		return mstrPassFlag;
	}
	
	/**
	 * 進捗率設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setProgressRate(String strProgressRate)
	{
		mstrProgressRate = strProgressRate;
	}
	
	/**
	 * 進捗率取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getProgressRate()
	{
		return mstrProgressRate;
	}
	
	/**
	 * テスト回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setTestCount(String strTestCount)
	{
		mstrTestCount = strTestCount;
	}
	
	/**
	 * テスト回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getTestCount()
	{
		return mstrTestCount;
	}
	
	/**
	 * 平均点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setAverageScore(String strAverageScore)
	{
		mstrAverageScore = strAverageScore;
	}
	
	/**
	 * 平均点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getAverageScore()
	{
		return mstrAverageScore;
	}
	
	/**
	 * 最高点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setHighestScore(String strHighestScore)
	{
		mstrHighestScore = strHighestScore;
	}
	
	/**
	 * 最高点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getHighestScore()
	{
		return mstrHighestScore;
	}
	
	/**
	 * ユニットオーダー設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitOrder(String strUnitOrder)
	{
		mstrUnitOrder = strUnitOrder;
	}
	
	/**
	 * ユニットオーダー取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitOrder()
	{
		return mstrUnitOrder;
	}
	
	/**
	 * ユニット名設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitName(String strUnitName)
	{
		mstrUnitName = strUnitName;
	}
	
	/**
	 * ユニット名取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitName()
	{
		return mstrUnitName;
	}
	
	/**
	 * ユニット学習回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitAccessCount(String strUnitAccessCount)
	{
		mstrUnitAccessCount = strUnitAccessCount;
	}
	
	/**
	 * ユニット学習回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitAccessCount()
	{
		return mstrUnitAccessCount;
	}
	
	/**
	 * ユニット進捗設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitProgress(String strUnitProgress)
	{
		mstrUnitProgress = strUnitProgress;
	}
	
	/**
	 * ユニット進捗取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitProgress()
	{
		return mstrUnitProgress;
	}
	
	/**
	 * ユニットテスト回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitTestCount(String strUnitTestCount)
	{
		mstrUnitTestCount = strUnitTestCount;
	}
	
	/**
	 * ユニットテスト回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitTestCount()
	{
		return mstrUnitTestCount;
	}
	
	/**
	 * ユニット平均点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitAverageScore(String strUnitAverageScore)
	{
		mstrUnitAverageScore = strUnitAverageScore;
	}
	
	/**
	 * ユニット平均点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitAverageScore()
	{
		return mstrUnitAverageScore;
	}
	
	/**
	 * ユニット最高点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitHighestScore(String strUnitHighestScore)
	{
		mstrUnitHighestScore = strUnitHighestScore;
	}
	
	/**
	 * ユニット最高点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitHighestScore()
	{
		return mstrUnitHighestScore;
	}
	
	/**
	 * ユニット合否フラグ設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitPassFlag(String strUnitPassFlag)
	{
		mstrUnitPassFlag = strUnitPassFlag;
	}
	
	/**
	 * ユニット合否フラグ取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitPassFlag()
	{
		return mstrUnitPassFlag;
	}
	
	/**
	 * ユニット数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitCount(String strUnitCount)
	{
		mstrUnitCount = strUnitCount;
	}
	
	/**
	 * ユニット数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitCount()
	{
		return mstrUnitCount;
	}
	
	/**
	 * NULLを"0"に変換
	 */
	public void nullConvert()
	{
		// NULLチェック
		if(getCompleteFlag() == null)
		{
			setCompleteFlag("0");
		}
		if(getPassFlag() == null)
		{
			setPassFlag("0");
		}
		if(getAccessCount() == null)
		{
			setAccessCount("0");
		}
		if(getTestCount() == null)
		{
			setTestCount("0");
		}
		if(getAverageScore() == null)
		{
			setAverageScore("0");
		}
		if(getHighestScore() == null)
		{
			setHighestScore("0");
		}
		if(getUnitAccessCount() == null)
		{
			setUnitAccessCount("0");
		}
		if(getUnitTestCount() == null)
		{
			setUnitTestCount("0");
		}
		if(getUnitAverageScore() == null)
		{
			setUnitAverageScore("0");
		}
		if(getUnitHighestScore() == null)
		{
			setUnitHighestScore("0");
		}
		if(getUnitPassFlag() == null)
		{
			setUnitPassFlag("0");
		}
	}
}

